﻿namespace ProjectMotorboat.Entities;

public class EntityMotorboat : EntityBoat
{
    public Color AdditionalColor { get; private set; }

    public void SetAdditionalColor(Color color)
    {
        AdditionalColor = color;
    }

    public bool Motor { get; private set; }

    public bool Glass { get; private set; }

    public EntityMotorboat(int speed, double weight, Color bodyColor, Color additionalColor, bool motor, bool glass) : base (speed, weight, bodyColor)
    {
       
        AdditionalColor = additionalColor;
        Motor = motor;
        Glass = glass;
    }
    public static EntityMotorboat? CreateEntityMotorboat(string[] strs)
    {
        if (strs.Length != 8 || strs[0] != nameof(EntityMotorboat))
        {
            return null;
        }
        return new EntityMotorboat(Convert.ToInt32(strs[1]), Convert.ToDouble(strs[2]), Color.FromName(strs[3]), Color.FromName(strs[4]), Convert.ToBoolean(strs[5]), Convert.ToBoolean(strs[6]));
    }
}
